#pragma once

#include <QObject>
#include <QImage>
#include <QString>

class OBoy : public QObject
{
    Q_OBJECT
    Q_PROPERTY(QString name READ name CONSTANT)
    Q_PROPERTY(QString version READ version CONSTANT)
    Q_PROPERTY(bool loaded READ loaded NOTIFY loadedChanged)
    Q_PROPERTY(QImage backgroundMap READ backgroundMap CONSTANT)
public:
    explicit OBoy(QObject *parent = nullptr);

    QString name() const;
    QString version() const;
    bool loaded() const;
    Q_INVOKABLE bool load(const QString &path);
    QImage backgroundMap() const;

signals:
    void loadedChanged(bool loaded);

private:
    bool _loaded = false;
};
